Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1346108 - SELinux is preventing sh from 'execute' accesses on the file /usr/lib/locale/locale-archive.
Summary: SELinux is preventing sh from 'execute' accesses on the file /usr/lib/locale/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 23
Hardware: i686
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:17dacae045ea79c13c3f0a3279d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-14 02:40 UTC by Hadi Winata
Modified: 2016-12-20 20:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:57:50 UTC


Attachments (Terms of Use)

Description Hadi Winata 2016-06-14 02:40:14 UTC
Description of problem:
SELinux is preventing sh from 'execute' accesses on the file /usr/lib/locale/locale-archive.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sh should be allowed execute access on the locale-archive file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c sh --raw | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:locale_t:s0
Target Objects                /usr/lib/locale/locale-archive [ file ]
Source                        sh
Source Path                   sh
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           glibc-common-2.22-11.fc23.i686
Policy RPM                    selinux-policy-3.13.1-158.14.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.8-300.fc23.i686 #1 SMP Wed Apr
                              20 17:36:24 UTC 2016 i686 i686
Alert Count                   1299
First Seen                    2016-01-07 18:44:38 WIB
Last Seen                     2016-06-13 14:54:01 WIB
Local ID                      327d99dc-dcb6-4353-99b8-8a1f729892e7

Raw Audit Messages
type=AVC msg=audit(1465804441.901:442): avc:  denied  { execute } for  pid=24198 comm="sh" path="/usr/lib/locale/locale-archive" dev="dm-1" ino=656103 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:locale_t:s0 tclass=file permissive=0


Hash: sh,cupsd_t,locale_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-158.14.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.8-300.fc23.i686
type:           libreport

Comment 1 Fedora End Of Life 2016-11-25 09:17:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2016-12-20 20:57:50 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.